Welcome, Guest. Please login or register. Did you miss your activation email?

Author Topic: [SOLVED] SFML 1.6 static library errors  (Read 2590 times)

0 Members and 1 Guest are viewing this topic.

Shimajda

  • Newbie
  • *
  • Posts: 17
    • View Profile
[SOLVED] SFML 1.6 static library errors
« on: April 11, 2010, 09:43:23 pm »
Hi

I cant get to work SFML 1.6 static librarys, dynamic version works.

Some details:
WinXP Proff. SP3
Code::Blocks 8.02
MinGW 5.1.6

Linker:
-lsfml-network-s

Code: [Select]
#include <SFML/Network.hpp>
using namespace std;
int main()
{
    sf::SocketTCP sock;
    sock.IsValid();
    return 0;
}


Errors:
http://www.copypastecode.com/26241/

Laurent

  • Administrator
  • Hero Member
  • *****
  • Posts: 32504
    • View Profile
    • SFML's website
    • Email
[SOLVED] SFML 1.6 static library errors
« Reply #1 on: April 11, 2010, 10:09:11 pm »
SFML 1.6 is compiled with gcc 4.4, which is not compatible with gcc 3.4.5.
Laurent Gomila - SFML developer

Shimajda

  • Newbie
  • *
  • Posts: 17
    • View Profile
[SOLVED] SFML 1.6 static library errors
« Reply #2 on: April 11, 2010, 11:38:26 pm »
Ok i've used TDM/MinGW Installer 1.908.0.
I have mingw32-gcc <TDM-2 mingw32> 4.4.1

Now theres only 20 errors:
http://www.copypastecode.com/26252/

Ive tried to use gcc 4.4 from tutorials with no results.

In code blocks  settings i have:
C++ compiler: mingw32-g++.exe (also 4.4.1)
Linker for dynamic libs: mingw32-g++.exe
Linker for static libs: ar.exe

I think i need some more help  :oops:

Laurent

  • Administrator
  • Hero Member
  • *****
  • Posts: 32504
    • View Profile
    • SFML's website
    • Email
[SOLVED] SFML 1.6 static library errors
« Reply #3 on: April 11, 2010, 11:51:14 pm »
I think that the TDM build is not compatible with the MinGW one (the one that is used by SFML).
Laurent Gomila - SFML developer

Shimajda

  • Newbie
  • *
  • Posts: 17
    • View Profile
[SOLVED] SFML 1.6 static library errors
« Reply #4 on: April 12, 2010, 12:17:15 am »
Got it to work.
gcc 4.4 from tutorial works after i reinstaled C::B and removed its old settings.

Thanks for fast reply.

wademcgillis

  • Newbie
  • *
  • Posts: 36
    • View Profile
[SOLVED] SFML 1.6 static library errors
« Reply #5 on: May 10, 2010, 04:00:13 am »
How did you install a new version of mingw?

Shimajda

  • Newbie
  • *
  • Posts: 17
    • View Profile
[SOLVED] SFML 1.6 static library errors
« Reply #6 on: May 10, 2010, 01:14:42 pm »
Ive removed the old one from C::B and extracted the new in to the same directory.
After that in C::B compiler options check C++ compiler and linker for dynamic libs, both should be set to "mingw32-g++.exe".